/**
 * Copyright (c) 2013 Perto S.A. All rights reserved.
 *
 * \file usbprinter.h
 *
 * \brief libusb shell for USB port access used in Perto Printer TEC CUPS driver. 
 *
 * \author Abilio Faria
 */

#ifndef _USBPRINTER_H
#define _USBPRINTER_H

/*! libusb include */
#include <usb.h>

/*! USB device PID and VID */
#define USBPRINTER_VID       0x1abd   /*!< Perto Printer TEC Vendor ID */
#define USBPRINTER_PID       0x0010   /*!< Perto Printer TEC Product ID */

/*! USB device info */
#define USBPRINTER_EP_READ   0x82
#define USBPRINTER_EP_WRITE  0x02

#define USBPRINTER_WRITE_TIMEOUT  30000

/*! 
 * Types
 */
typedef struct usb_dev_handle *usb_printer;   /*!< USB device handle */ 

/*!
 * Prototypes
 */
usb_printer usb_printer_open( void);
void usb_printer_close(usb_printer printer);
int usb_printer_write(usb_printer printer, char *buffer, int length);

#endif // _USBPRINTER_H
